{# @version 0.3.1 #}
<div class="alert alert-danger ls-js-hidden">
    {{ translation['You need javascript activated to answer to this question.'] }}
</div>
<ul class="ls-no-js-hidden ls-answers subquestion-list questions-list dropdown-list list-unstyled form-horizontal selectquestionbyresponses-list" role="group" aria-labelledby="ls-question-text-{{ baseSgq }}">
    <li id="javatbd{{ baseSgq }}responsesautocomplete" class="question-item answer-item dropdown-item form-group">
        <label class="control-label col-xs-12 col-sm-col-sm-{{ sLabelWidth }}{% if sLabelWidth == 0 %} hidden{% endif %}" for="responsesautocomplete{{ baseSgq }}">
            {{ label }}
        </label>
        <div class="col-xs-12 col-sm-{{ sInputContainerWidth }}">
            <select
                id="responsesautocomplete{{ baseSgq }}"
                class="form-control"
                data-basename="{{ baseSgq }}"
                data-destination="responsesautocomplete-{{ baseSgq }}-dest"
                {% if aQuestionAttributes.selectQuestionByResponseMultiple %} multiple
                    data-multipleseparator="{{ aQuestionAttributes.selectQuestionByResponseMultipleSeparator|escape }}"
                {%endif%}
                >
                {% for id,textanddata in currentOptions %}
                    <option value="{{ id|escape }}"
                    {% if textanddata.data %}
                    data-extradata="{{ json_encode(textanddata.data)|escape }}"
                    {% endif %}
                    selected>{{ textanddata.text }}</option>
                {% endfor %}
            </select>
        </div>
    </li>
</ul>
<div class="hidden d-none" id="responseautocomplete-{{ baseSgq }}-dynamicFilter">
    {% for column, value in dynamicFilter %}
    <div id="{{ column }}" class="filter">{{ value }}</div>
    {% endfor %}
</div>

<div class="hidden d-none" id="responsesautocomplete-{{ baseSgq }}-dest">
{{ coreanswers }}
</div>
<script>
SelectQuestionByResponses('{{ baseSgq }}', {{ json_encode(scriptOptions) }});
</script>
